For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create autoreply

Create an automatic reply for the given mailbox. A mailbox can have only one autoreply. Omit startsat to activate the autoreply immediately and omit endsat to keep it active indefinitely.

Create autoreply

post

Create an automatic reply for the given mailbox. A mailbox can have only one autoreply. Omit starts_at to activate the autoreply immediately and omit ends_at to keep it active indefinitely.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
mailboxIdstringRequired

Mailbox resource ID

Example: AC1a2b3c4d5e6f7g
Body
subjectstringRequired

Subject of the automatic reply

Example: Out of office
bodystringRequired

Body of the automatic reply

Example: I am on vacation until August 1st.
display_namestring · max: 255 · nullableOptional

Sender display name used for the reply

Example: John Doe
starts_atstring · date-time · nullableOptional

When the autoreply becomes active. Defaults to now.

Example: 2026-08-01T00:00:00Z
ends_atstring · date-time · nullableOptional

When the autoreply stops. Omit for an indefinite autoreply.

Example: 2026-09-01T00:00:00Z
Responses
201

Created response

application/json
idstringOptional

Unique autoreply identifier

Example: AR1a2b3c4d5e6f7g
subjectstringOptional

Subject of the automatic reply

Example: Out of office
bodystringOptional

Body of the automatic reply

Example: I am on vacation until August 1st.
display_namestring · nullableOptional

Sender display name used for the reply

Example: John Doe
starts_atstring · date-timeOptional

When the autoreply becomes active

Example: 2026-08-01T00:00:00Z
ends_atstring · date-time · nullableOptional

When the autoreply stops

Example: 2026-09-01T00:00:00Z
created_atstring · date-timeOptionalExample: 2026-07-24T12:00:00Z
updated_atstring · date-timeOptionalExample: 2026-07-24T12:00:00Z
post/api/mail/v1/mailboxes/{mailboxId}/autoreplies
POST /api/mail/v1/mailboxes/{mailboxId}/autoreplies HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 165

{
  "subject": "Out of office",
  "body": "I am on vacation until August 1st.",
  "display_name": "John Doe",
  "starts_at": "2026-08-01T00:00:00Z",
  "ends_at": "2026-09-01T00:00:00Z"
}
{
  "id": "AR1a2b3c4d5e6f7g",
  "mailbox": {
    "id": "AC1a2b3c4d5e6f7g",
    "address": "user@example.com"
  },
  "subject": "Out of office",
  "body": "I am on vacation until August 1st.",
  "display_name": "John Doe",
  "starts_at": "2026-08-01T00:00:00Z",
  "ends_at": "2026-09-01T00:00:00Z",
  "created_at": "2026-07-24T12:00:00Z",
  "updated_at": "2026-07-24T12:00:00Z"
}

Last updated

Was this helpful?